## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 9;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate sev

# compile and run tests only on supported architectures
%global supported_arches x86_64

Name:           rust-sev
Version:        4.0.0
Release:        %autorelease
Summary:        Library for AMD SEV

License:        Apache-2.0
URL:            https://crates.io/crates/sev
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * Mark rdrand dep optional like is done upstream
Patch:          sev-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Library for AMD SEV.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+openssl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+openssl-devel %{_description}

This package contains library source intended for building other packages which
use the "openssl" feature of the "%{crate}" crate.

%files       -n %{name}+openssl-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+sev-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+sev-devel %{_description}

This package contains library source intended for building other packages which
use the "sev" feature of the "%{crate}" crate.

%files       -n %{name}+sev-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+snp-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+snp-devel %{_description}

This package contains library source intended for building other packages which
use the "snp" feature of the "%{crate}" crate.

%files       -n %{name}+snp-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%ifarch %{supported_arches}
%cargo_build
%endif

%install
%cargo_install

%if %{with check}
%ifarch %{supported_arches}
%check
%cargo_test
%endif
%endif

%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sun Dec 15 2024 Cole Robinson <crobinso@redhat.com> - 4.0.0-8
- Use rust2rpm.toml `supported-arches` instead of ExclusiveArch

* Sun Dec 15 2024 Cole Robinson <crobinso@redhat.com> - 4.0.0-7
- Fix FailsToInstall

* Wed Dec 04 2024 Tyler Fanelli <tfanelli@redhat.com> - 4.0.0-6
- Remove rdrand-devel package

* Tue Nov 19 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 4.0.0-5
- Port to rust2rpm.toml
- Actually hide features for testing particular hardware
- Hide the crypto_nossl feature, which would require the x509-cert crate;
  fixes RHBZ#2310742

* Tue Nov 12 2024 Sergio Lopez <slp@redhat.com> - 4.0.0-4
- Regenerate spec with rust2rpm

* Mon Oct 28 2024 Tyler Fanelli <tfanelli@redhat.com> - 4.0.0-2
- Build with fixed rdrand dependency.

* Thu Sep 05 2024 Tyler Fanelli <tfanelli@redhat.com> - 4.0.0-1
- Update to version 4.0.0

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> -
3.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jul 11 2024 Tyler Fanelli <tfanelli@redhat.com> - 3.2.0
- Update to version 3.2.0

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> -
1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Tyler Fanelli <tfanelli@redhat.com> - 1.2.1-1
- Remove mmarinus dependency
- Use older version of serde-big-array

* Thu Jul 06 2023 Tyler Fanelli <tfanelli@redhat.com> - 1.2.0-1
- Update to version 1.2.0

* Thu Feb 09 2023 Sergio Lopez <slp@redhat.com> - 1.1.0-1
- Update to version 1.1.0

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> -
1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Nov 16 2022 Tyler Fanelli <tfanelli@redhat.com> - 1.0.1-1
- Rebase to 1.0.1 release (rhbz#2141113)

* Fri Aug 26 2022 Cole Robinson <crobinso@redhat.com> - 0.3.0-3
- Only build for x86_64

* Thu Aug 25 2022 Fabio Valentini <decathorpe@gmail.com> - 0.3.0-2
- Regenerate with rust2rpm v22.

* Thu Aug 25 2022 Tyler Fanelli <tfanelli@redhat.com> - 0.3.0-1
- Rebase to 0.3.0 release (rhbz#2097874)

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> -
0.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> -
0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jan  4 2022 Daniel P. Berrangé <berrange@redhat.com> - 0.2.0-1
- Rebase to 0.2.0 release (rhbz#2034272)

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> -
0.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Feb 09 2021 Connor Kuehl <ckuehl@redhat.com> - 0.1.0-1
- Initial package

## END: Generated by rpmautospec
